<!-- -*- mode: markdown; mode: flyspell -*- -->
# Changelog (AUS)

## [0.2.4] - 2023-05-24
### Changed
* switch from opam-installer to dune in spec

## [0.2.3] - 2019-04-15
### Changed
* pkgsysyum: makecache does not use fast anymore

## [0.2.2] - 2019-04-14
### Changed
* spec cleanup and fix (cron.daily permissions)

## [0.2.1] - 2019-02-03
### Changed
* pkgsysyum: update and install now use --skip-broken
* CHANGELOG.md reformatted

## [0.2] - 2019-01-19
### Changed
* change to dune as build system
* new Makefiles
* spec: cleanup, split into subpackages

## [0.1.99.82.3] - 2016-11-05
### Removed
- removed unneeded requirement for ocamlrpmvercmp

## [0.1.99.82.3] - 2016-11-05
### Added
+ added "!include" which ignores if file is not found
+ added support for yum repo priorities

### Changed
* fix: now returns with error code whenever an error occurs
* better error logging
* better cleanup handling in yum (does not to "clean all" always anymore)
* fixed non tail recursive loop in get_system_package_list_old

## [0.1.99.73] - 2007-09-20
### Added
+ major code rewrite/cleanup
+ added multiple pkgsys backend support (debug, apt and yum)
+ added support for package architectures
+ finally added support for -= operator
+ added compsxml2groups working binary to dist

### Removed
- kernel and kernel module features are in there but disabled in 0.2.0
- removed comps.xml converter example from docu
- removed apt specific tweaks from spec file

## [0.1.99.1] - 2007-08-29
### Added
+ add kernel-modules cmd to config with kernel version expansion
+ added option cmd to config
+ added options: delete-old-kernels, keep-kernels, keep-first-kernel
+ enhanced demo config file

### Changed
* fix: simplified perform_update and related code

## [0.1.3] - 2005-04-20
* fixed comsmetical bug caused by 0.1.2 change

## [0.1.2] - 2005-04-19
* recompute only if there were upgrades

## [0.1.1] - 2005-02-28
### Added
+ added apt-clean after successful apt launches
+ added -q option
### Changed
* adjusted chkconfig priority 
  (will now be launched just after netfs on fedora)
* cleaned output system
* fixed progress output

## [0.1.0] - 2005-02-10
### Changed
* finally added status info to non verbose mode
* fixed zombie generating bug in rfile when file was not found

## [0.0.26] - 2005-02-09
### Changed
* fix: pass correct enviroment to process in launch_async

## [0.0.25] - 2005-02-09
+ added "at host group" command
+ added some lines in verbose mode

## [0.0.24] - 2005-02-02
### Changed
* fixed typo in error msg
* more output in verbose mode

## [0.0.23] - 2004-09-30
### Added
+ use "dist-upgrade" instead of upgrade

## [0.0.22] - 2004-04-19
### Added
+ added ausconfig profile support

## [0.0.21] - 2004-03-28
### Changed
* fixed executable path in init file

## [0.0.20] - 2004-03-28
### Changed
* fixed cron bug, using "hostname -f" to get local hostname now

### Removed
- removed 0.0.19 changes (that was not the problem)

## [0.0.19] - 2004-03-09
### Changed
* full path for rpm

## [0.0.18] - 2004-03-09
### Added
+ added "chkconfig aus on" to %post in spec file

## [0.0.17] - 2004-03-09
### Added
+ added "rpm -qa --provides" to local pkg list

## [0.0.16] - 2004-03-08
### Changed
* fixed previous fix..

## [0.0.15] - 2004-03-08
### Changed
* fixed previous fix

## [0.0.14] - 2004-03-08
### Changed
* spec: %post now disables GPG check in apt.conf

## [0.0.13] - 2004-03-08
### Changed
* use sources.list instead of sources.list.d/aus

## [0.0.12] - 2004-03-08
### Changed
* fixed wget404 regex in Rfile

## [0.0.11] - 2004-03-08
### Changed
* fixed spec file scriptlets

## [0.0.10] - 2004-03-08
### Changed
* fixed sources.list.d/aus typo

## [0.0.9] - 2004-03-08
### Added
+ sources.list.d/aus is now generated

## [0.0.8] - 2004-03-08
### Changed
* fixed path bug in spec file

## [0.0.7] - 2004-03-07
### Added
+ first working version
